## python-aioesphomeapi 25.1.0

=== requirements.txt ===
aiohappyeyeballs>=2.3.0
async-interrupt>=1.1.1
protobuf>=3.19.0
zeroconf>=0.132.2,<1.0
chacha20poly1305-reuseable>=0.13.2
cryptography>=43.0.0
noiseprotocol>=0.3.1,<1.0
async-timeout>=4.0;python_version<'3.11'

=== debian/changelog ===
python-aioesphomeapi (25.1.0-2) unstable; urgency=medium

  * Add use-noiseprotocol-not-noise.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 15:57:44 +0200

python-aioesphomeapi (25.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079586)

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Aug 2024 23:45:33 +0200

=== debian/control ===
Source: python-aioesphomeapi
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohappyeyeballs,
 python3-async-interrupt,
 python3-async-timeout,
 python3-chacha20poly1305-reuseable,
 python3-cryptography,
 python3-noiseprotocol,
 python3-protobuf,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-zeroconf,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioesphomeapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioesphomeapi.git
Homepage: https://github.com/esphome/aioesphomeapi/

Package: python3-aioesphomeapi
Architecture: all
Depends:
 python3-aiohappyeyeballs,
 python3-async-interrupt,
 python3-async-timeout,
 python3-chacha20poly1305-reuseable,
 python3-cryptography,
 python3-noiseprotocol,
 python3-protobuf,
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for interacting with ESPHome devices
 The aioesphomeapi Python package allows one to interact with devices flashed
 with ESPHome.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/esphome/aioesphomeapi/.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/esphome/aioesphomeapi/ refs/tags/(\d[brc\d\.]+)
